This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 501772 - atlas not built with $RPM_OPT_FLAGS
atlas not built with $RPM_OPT_FLAGS
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: atlas (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Frantisek Kluknavsky
Fedora Extras Quality Assurance
: Reopened, Tracking
: 509813 (view as bug list)
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2009-05-20 12:14 EDT by Ville Skyttä
Modified: 2015-10-28 11:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:49:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2009-05-20 12:14:19 EDT
atlas is not built with $RPM_OPT_FLAGS, see bug 496968 for more info.

It seems that some optimized builds are being shipped, but please note:

> https://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags
> Adding to and overriding or filtering parts of these flags is permitted if 
> there's a good reason to do so; the rationale for doing so should be reviewed 
> and documented in the specfile especially in the override and filter cases.

Based on koji build logs, to me it looks like $RPM_OPT_FLAGS including the security related options in it is simply overridden completely instead of new options being added to it, this should be fixed.  (I'm assuming it's an oversight because intentionally doing so is not documented in the specfile.)
Comment 1 Deji Akingunola 2009-05-20 12:19:56 EDT
(In reply to comment #0)
> atlas is not built with $RPM_OPT_FLAGS, see bug 496968 for more info.
> 
> It seems that some optimized builds are being shipped, but please note:
> 
> > https://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags
> > Adding to and overriding or filtering parts of these flags is permitted if 
> > there's a good reason to do so; the rationale for doing so should be reviewed 
> > and documented in the specfile especially in the override and filter cases.
> 
> Based on koji build logs, to me it looks like $RPM_OPT_FLAGS including the
> security related options in it is simply overridden completely instead of new
> options being added to it, this should be fixed.  (I'm assuming it's an
> oversight because intentionally doing so is not documented in the specfile.)  

It is intentional, see the package's description.
Comment 2 Ville Skyttä 2009-05-20 15:05:44 EDT
The description kind of explains why for example -O2 and -mtune are overridden.  It does *not* explain why for example -g, -fexceptions, -Wp,-D_FORTIFY_SOURCE=2, -fstack-protector and --param=ssp-buffer-size=4 from $RPM_OPT_FLAGS are discarded which is either a packaging bug or needs to be documented.
Comment 3 Bug Zapper 2009-06-09 12:11:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Rex Dieter 2009-07-07 08:05:00 EDT
*** Bug 509813 has been marked as a duplicate of this bug. ***
Comment 5 Deji Akingunola 2009-08-05 15:08:08 EDT
'-g' option has been added to atlas build flags.
Comment 6 Alex Lancaster 2009-08-31 02:37:05 EDT
There are some odd issues with atlas and octave that could be related to not using the sam RPM_OPT_FLAGS (see bug #510841).  Which options are not yet being passed?
Comment 7 Alex Lancaster 2009-08-31 02:41:09 EDT
Also is there a possibility of upgrading to a new atlas?  Apparently 3.9.14 fixes the octave build:

http://sourceforge.net/mailarchive/message.php?msg_name=fwbplwijke.fsf%40allele2.eebweb.arizona.edu
Comment 8 Deji Akingunola 2009-08-31 12:24:01 EDT
(In reply to comment #6)
> There are some odd issues with atlas and octave that could be related to not
> using the sam RPM_OPT_FLAGS (see bug #510841).  Which options are not yet being
> passed?  

There is no mention of ATLAS at all in the bug referenced above.

>Also is there a possibility of upgrading to a new atlas?  Apparently 3.9.14
>fixes the octave build:

ATLAS-3.9.x series is advertised upstream as unstable experimental release series.
Comment 9 Bug Zapper 2010-04-27 10:25:36 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Ville Skyttä 2010-04-27 15:17:56 EDT
Build logs show that $RPM_OPT_FLAGS are still not used in F-13.
http://kojipkgs.fedoraproject.org/packages/atlas/3.8.3/15.fc13/data/logs/x86_64/build.log
Comment 11 Bug Zapper 2011-06-02 14:04:30 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Fedora End Of Life 2012-08-16 17:49:45 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Fedora End Of Life 2013-12-21 09:51:46 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Peter Robinson 2014-02-09 03:12:04 EST
Moving to rawhide.
Comment 16 Fedora Admin XMLRPC Client 2014-07-26 13:14:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Fedora Admin XMLRPC Client 2014-07-28 03:46:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Fedora Admin XMLRPC Client 2014-07-28 03:47:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 19 Jan Kurik 2015-07-15 11:21:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.